<template>
<div>
    <div>

    <b-alert
      v-model="showTop"
      class="position-fixed fixed-top m-0 rounded-0"
      style="z-index: 2000;height:100px;padding-top: 35px;text-align:center"
      variant="success"
      dismissible
    >
      Payment is done Successfully!
    </b-alert>
  </div>
      <div class="wrapper">
  <div class="card">  
    <h2 class="visa">VISA</h2>
    <h3 class="num">n° {{card_number}}</h3>
        <table class="card-table">

        <tr>
            <td>name</td>
            <td>EXP</td>
            <td>CVC</td>
        </tr>
        <tr>
            <td>{{name}}</td>
            <td>{{exp}}</td>
            <td>{{cvc}}</td>
        </tr>

        </table>
      <!-- <h4>name</br>Foulen</h4>
      <h4></br>10/21</h4>
      <h4>CVC</br>014</h4> -->

  </div>
  <div class="main">
    <div class="content">
      <h1>Payment Details</h1>
      <form>
        
     <!--   <label>Name</label>-->
        <input id="name" type="name" v-model="name" placeholder="Foulen">
        
       <!-- <label>Card Number</label>-->
        <input type="text" v-model="card_number" value="4539 7111 0342 0778" placeholder="4539 7111 0342 0778">
        
      <!--  <label>Expiration Date</label>-->
        <input type="month" v-model="exp" placeholder="2021-10">
        <input type="user" v-model="cvc" placeholder="014">
        
      </form>
      <div class="payment">
        <h4>Payment Amount :<div class ="amount"> ₹{{total}}</div></h4> 
        <button @click="submit">Pay</button>
        </div>
    </div>
  </div>
   
</div>
</div>

</template>
<script>
import { stores } from '.././main.js';
export default {
    data() {
    return {
      name: 'Foulen',
      card_number: '4539 7111 0342 0778',
      exp: '2021-10',
      cvc: '014',
      total: this.$store.state.total_price,
      showBottom: false,
      showTop: false
    }
    },
    methods:{
      submit() {
      debugger
      this.showTop = !this.showTop
      stores.dispatch('setProducts', {})
      stores.dispatch('setTotalPrice', 0)
      this.routes.push('/')
    }
    }
}
</script>
<style scoped>
@import url('https://fonts.googleapis.com/css2?family=Comic+Neue&family=Playfair+Display:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css?family=Open+Sans&display=swap');
@import url('https://fonts.googleapis.com/css?family=Montserrat&display=swap');

body{
  background-image: linear-gradient(to right, #eac1ff, #dfc9ff, #d7d0ff, #d1d6ff, #cedbff);
}
.alert-success {
    height: 100px !important;
}
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;} 
    to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes expand {
    from {min-width: 50px} 
    to {min-width: 350px}
}

@keyframes expand {
    from {min-width: 50px}
    to {min-width: 350px}
}
@-webkit-keyframes stay {
    from {min-width: 350px} 
    to {min-width: 350px}
}

@keyframes stay {
    from {min-width: 350px}
    to {min-width: 350px}
}
@-webkit-keyframes shrink {
    from {min-width: 350px;} 
    to {min-width: 50px;}
}

@keyframes shrink {
    from {min-width: 350px;} 
    to {min-width: 50px;}
}

@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;} 
    to {bottom: 60px; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 60px; opacity: 0;}
}
.card-table {
        width: 60%;
    margin: auto;
    font-size: 20px;
    color: #fff;
    text-align: center;
}
.card-table td {
    text-align: center;
}
.wrapper{
      position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-left: auto;
    margin-right: auto;
}
.content h1{
  font-family: 'Playfair Display', serif;
}
.main{
background-color: white;
    border: 2px solid #6200EA;
    width: 581px;
    height: 360px;
    box-shadow: 0px 8px 60px -10px white;
    border-radius: 10px;
    padding-left: 100px;
    padding-top: 0px;
    padding-bottom: 30px;
}
.content{
  padding-top: 10px;
    padding-right: 70px;
    font-family: 'Montserrat Medium';
}
/*inpuuuut*/
input[type=name] {
  background-color: white;
  background-image: url('https://image.flaticon.com/icons/svg/2089/2089773.svg');
  background-position:5px 5px;
  background-size:9%;
  background-repeat: no-repeat;
  padding-left: 60px;
}
input[type=text] {

  background-color: white;
  background-image: url('https://image.flaticon.com/icons/svg/633/633611.svg');
  background-position:5px 5px;
  background-size:9%;
  background-repeat: no-repeat;
  padding-left: 60px;
}
input[type=month] {
  width :66%;
  background-color: white;
  background-image: url('https://image.flaticon.com/icons/svg/2693/2693507.svg');
  background-position:6px 5px;
  background-size:14%;
  background-repeat: no-repeat;
  padding-left: 60px;
  padding-bottom:13px;
  font-family: 'Montserrat Medium';
}
input[type=user] {
  width :32.5%;
  background-color: white;
  background-image: url('https://cdn1.iconfinder.com/data/icons/glyph-card-payment/32/credit_card_CVV_CVC_code_number-512.png');
  background-position:5px 5px;
  background-size:31%;
  background-repeat: no-repeat;
  padding-left: 60px;
}

input{
  width:100%;
  padding: 15px 10px;
  margin: 3px 0;
  box-sizing: border-box;
  border: none;
  border-bottom: 2px solid #96a4e7;
}
.amount{
  float:right;
  right:0;
}
button{
  width:100%;
  padding: 10px 20px;
  margin: 3px 0;
  background-color: #96a4e7; 
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  cursor:pointer;
}
/*credit card*/
.card{
      background-image: linear-gradient(to bottom, #96a4e7, #a7a6ee, #baa7f3, #cda8f7, #e1a9f9);
    position: fixed;
    right: 87%;
    top: 25%;
    float: left;
        width: 370px;
    height: 250px;
    box-shadow: 8px 10px 0px 1px #cedbff;
    border-radius: 10px;
    font-family: 'Montserrat Thin';
    border: 2px solid #6200EA;
}

.visa{
  padding-left: 260px;
  font-style: italic;
  text-shadow: #eac1ff 3px 0 1px;
  color:white;
  /*visa font*/
  font-family: "Myriad Pro", Myriad, "Liberation Sans", "Nimbus Sans L", "Helvetica Neue", Helvetica, Arial, sans-serif;
}
.num{
  color:white;
  text-align:center;
  padding-top:40px;
  line-height:0;
  font-size: 25px !important;
}
.card h4{
  color:white;
  float:left;
  width:33%;
  text-align:center;
}

</style>